> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soma.evarist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get main themes

> The workspace's main entities and entity types.



## OpenAPI

````yaml https://staging.soma.evarist.com/v1/openapi.json get /workspaces/{workspace_id}/themes
openapi: 3.1.0
info:
  title: Soma API
  summary: 'Your organization''s knowledge: documents, search, knowledge graph, answers.'
  description: >-
    Authenticate with `Authorization: Bearer <token>`: an OAuth access token
    (the Soma CLI and MCP clients get one by signing in) or an API key created
    in Soma under Account settings.
  version: 1.0.0
servers:
  - url: https://staging.soma.evarist.com/v1
security: []
paths:
  /workspaces/{workspace_id}/themes:
    get:
      tags:
        - Knowledge graph
      summary: Get main themes
      description: The workspace's main entities and entity types.
      operationId: themes_workspaces__workspace_id__themes_get
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Number of top entities.
            default: 15
            title: Limit
          description: Number of top entities.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Themes'
        '404':
          description: Not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Themes:
      properties:
        total_entities:
          type: integer
          title: Total Entities
        types:
          items:
            $ref: '#/components/schemas/TypeCount'
          type: array
          title: Types
        top_entities:
          items:
            $ref: '#/components/schemas/Entity'
          type: array
          title: Top Entities
      type: object
      required:
        - total_entities
        - types
        - top_entities
      title: Themes
    Error:
      properties:
        error:
          $ref: '#/components/schemas/Body'
      type: object
      required:
        - error
      title: Error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TypeCount:
      properties:
        type:
          type: string
          title: Type
        count:
          type: integer
          title: Count
      type: object
      required:
        - type
        - count
      title: TypeCount
    Entity:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        aliases:
          items:
            type: string
          type: array
          title: Aliases
        mention_count:
          type: integer
          title: Mention Count
      type: object
      required:
        - id
        - name
        - type
        - mention_count
      title: Entity
    Body:
      properties:
        type:
          type: string
          title: Type
        message:
          type: string
          title: Message
      type: object
      required:
        - type
        - message
      title: Body
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: An OAuth access token (`soma_at_…`) or an API key (`scribe_mcp_…`).
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.